# $Revision: 1.184 $, $Date: 2010/04/22 00:42:18 $
#
# TODO:
# - fix svga bcond
# - cups subpackage?
# - add djvu driver:
#   http://dl.sourceforge.net/djvu/gsdjvu-1.3.tar.gz (or newer)
#
# Conditional build:
%bcond_without	system_jbig2dec	# build with included jbig2dec
%bcond_with	svga		# with svgalib display support (vgalib and lvga256 devices)
%bcond_without	gtk		# without gsx
#
Summary:	PostScript & PDF interpreter and renderer
Summary(de.UTF-8):	PostScript & PDF Interpreter und Renderer
Summary(fr.UTF-8):	Interpréteur et visualisateur PostScript & PDF
Summary(ja.UTF-8):	PostScript インタープリタ・レンダラー
Summary(pl.UTF-8):	Bezpłatny interpreter i renderer PostScriptu i PDF
Summary(tr.UTF-8):	PostScript & PDF yorumlayıcı ve gösterici
Name:		ghostscript
Version:	8.71
Release:	1
License:	GPL v3+
Group:		Applications/Graphics
Source0:	http://ghostscript.com/releases/%{name}-%{version}.tar.xz
# Source0-md5:	5005d68f7395c2bfc4b05c1a60d9b6ba
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	9b5953aa0cc155f4364f20036b848585
Patch0:		%{name}-missquotes.patch
Patch1:		%{name}-setuid.patch
Patch2:		%{name}-time_h.patch
Patch3:		%{name}-am.patch
# no device for cdj850 in non-espgs ghostscript
# look for patch in old spec for GNU ghostscript
#Patch4:		%{name}-gdevcd8-fixes.patch
#Patch5:		%{name}-glib.patch
URL:		http://www.ghostscript.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cups-devel
BuildRequires:	docbook-style-dsssl
BuildRequires:	glib2-devel
%{?with_system_jbig2dec:BuildRequires:	jbig2dec-devel}
# for gsx
%{?with_gtk:BuildRequires:	gtk+-devel}
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
# Required by 'gdevvglb' device.
%{?with_svga:BuildRequires:	svgalib-devel}
# for documentation regeneration
BuildRequires:	tetex
BuildRequires:	tetex-dvips
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
Obsoletes:	ghostscript-afpl
Obsoletes:	ghostscript-gpl
Obsoletes:	ghostscript-esp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_ulibdir        %{_prefix}/lib

%description
cos nGhostscript is a PostScript interpreter. It can render both
PostScript and PDF compliant files to devices which include an X
window, many printer formats (including support for color printers),
and popular graphics file formats.

%description -l de.UTF-8
Ghostscipt ist ein PostScript-Interpretierer. Er kann sowohl
PostScript als auch PDF-konforme Dateien an Geräte ausgeben, zu denen
ein X-Fenster, viele Druckerformate (einschließlich Support für
Farbdrucker) und gängige Grafikdateiformate zählen.

%description -l fr.UTF-8
Ghostscript est un interpréteur PostScript. Il peut rendre des
fichiers PostScript ou PDF sur des périphériques dont une fenêtre X,de
nombreux types d'imprimantes (dont un support pour imprimantes
couleur), et des formats de fichiers graphiques populaires.

%description -l ja.UTF-8
Ghostscript は PostScript インタープリタです。ポストスクリプトと PDF
をレンダリングし、X window や他のプリンタフォーマットで出力
します。このパッケージは日本語対応しています。

%description -l pl.UTF-8
Ghostcript jest interpreterem PostScriptu, języka używanego do opisu
formatu dokumentu. Ghostscript potrafi przetworzyć dokument w formacie
PostScript i PDF na szereg postaci wyjściowych: drukarki (włączając
kolorowe), okno X-Window i popularne formaty graficzne.

%description -l tr.UTF-8
GhostScript, PostScript ve PDF uyumlu dosyaları, X penceresinde
gösterebilir ve birçok yazıcının (renkli yazıcılar dahil) basabileceği
biçime getirebilir.

%package cups
Summary:	Ghostscript CUPS files
Summary(pl.UTF-8):	Pliki Ghostscripta dla CUPS-a
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description cups
This package contains CUPS files provided by ghostscript.

%description cups -l pl.UTF-8
Ten pakiet zawiera pliki dla CUPS-a dostarczane przez ghostscript.

%package gtk
Summary:	Ghostscript with GTK+ console
Summary(pl.UTF-8):	Ghostscript z konsolą GTK+
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ghostscript-afpl-gtk
Obsoletes:	ghostscript-gpl-gtk
Obsoletes:	ghostscript-esp-gtk

%description gtk
Ghostscript with GTK+ console.

%description gtk -l pl.UTF-8
Ghostscript z konsolą GTK+.

%package devel
Summary:	libgs header files
Summary(pl.UTF-8):	Pliki nagłówkowe libgs
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ghostscript-afpl-devel
Obsoletes:	ghostscript-esp-devel

%description devel
Header files for libgs - ghostscript shared library.

%description devel -l pl.UTF-8
Pliki nagłówkowe libgs - współdzielonej biblioteki ghostscript.

%package ijs-devel
Summary:	IJS development files
Summary(pl.UTF-8):	Pliki dla programistów IJS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	ghostscript-afpl-ijs-devel
Obsoletes:	ghostscript-esp-ijs-devel

%description ijs-devel
IJS development files.

%description ijs-devel -l pl.UTF-8
Pliki do tworzenia programów z użyciem biblioteki IJS.

%package ijs-static
Summary:	Static libijs library
Summary(pl.UTF-8):	Statyczna biblioteka IJS
Group:		Development/Libraries
Requires:	%{name}-ijs-devel = %{version}-%{release}
Obsoletes:	ghostscript-afpl-ijs-static
Obsoletes:	ghostscript-esp-ijs-static

%description ijs-static
Static libijs library.

%description ijs-static -l pl.UTF-8
Statyczna wersja biblioteki IJS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
#%%patch4 -p1
#%%patch5 -p1

%build
# workarounds
touch ijs/ijs-config.1
%if %{with system_jbig2dec}
if [ -d jbig2dec ]; then
	rm -rf jbig2dec
fi
%endif
cd jasper
%{__libtoolize}
%{__aclocal}
%{__autoconf}
cd ..
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags} -DA4 -fPIC"
export CFLAGS
%configure \
	--with-fontpath="%{_datadir}/fonts:%{_datadir}/fonts/Type1" \
	--with-ijs \
	--with-jbig2dec \
	--with-jasper \
	--with-x \
	--with-drivers=ALL%{?with_svga:,vgalib,lvga256} \
	--enable-dynamic

cd ijs
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared
cd ..

%{__make} -j1 \
	docdir=%{_docdir}/%{name}-%{version}

%{__make} -j1 so \
	docdir=%{_docdir}/%{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/ghostscript/lib,%{_libdir},%{_includedir}/{ghostscript,ps}}


%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_docdir}/%{name}-%{version}

%{__make} soinstall \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_docdir}/%{name}-%{version}

%{__make} -C ijs install \
	DESTDIR=$RPM_BUILD_ROOT

install lib/{pdfopt,pdfwrite}.ps Resource/Init/gs_frsd.ps $RPM_BUILD_ROOT%{_datadir}/%{name}/lib

# Headers
install base/gdevdsp{,2}.h psi/{iapi,ierrors}.h $RPM_BUILD_ROOT%{_includedir}/ghostscript

rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc \
	$RPM_BUILD_ROOT%{_bindir}/*.sh \
	$RPM_BUILD_ROOT%{_mandir}/man1/{ps2pdf1{2,3},gsbj,gsdj,gsdj500,gslj,eps2eps}.1 \
	$RPM_BUILD_ROOT%{_mandir}/de/man1/{ps2pdf1{2,3},eps2eps}.1

echo ".so gs.1"     > $RPM_BUILD_ROOT%{_mandir}/man1/ghostscript.1
echo ".so ps2pdf.1" > $RPM_BUILD_ROOT%{_mandir}/man1/ps2pdf12.1
echo ".so ps2pdf.1" > $RPM_BUILD_ROOT%{_mandir}/man1/ps2pdf13.1
echo ".so ps2ps.1"  > $RPM_BUILD_ROOT%{_mandir}/man1/eps2eps.1
echo ".so gslp.1"   > $RPM_BUILD_ROOT%{_mandir}/man1/gsbj.1
echo ".so gslp.1"   > $RPM_BUILD_ROOT%{_mandir}/man1/gsdj.1
echo ".so gslp.1"   > $RPM_BUILD_ROOT%{_mandir}/man1/gsdj500.1
echo ".so gslp.1"   > $RPM_BUILD_ROOT%{_mandir}/man1/gslj.1

echo ".so ps2ps.1"  > $RPM_BUILD_ROOT%{_mandir}/de/man1/eps2eps.1
echo ".so ps2pdf.1" > $RPM_BUILD_ROOT%{_mandir}/de/man1/ps2pdf12.1
echo ".so ps2pdf.1" > $RPM_BUILD_ROOT%{_mandir}/de/man1/ps2pdf13.1


bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

#mv -f $RPM_BUILD_ROOT%{_bindir}/{gsc,gs}
ln -sf gs $RPM_BUILD_ROOT%{_bindir}/gsc
ln -sf gs $RPM_BUILD_ROOT%{_bindir}/ghostscript

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/[bdeflpsux]*
%attr(755,root,root) %{_bindir}/ghostscript
%attr(755,root,root) %{_bindir}/gs
%attr(755,root,root) %{_bindir}/wftopfa
%attr(755,root,root) %{_bindir}/gs[!x]*
%attr(755,root,root) %{_bindir}/ijs_*_example
%attr(755,root,root) %{_libdir}/libgs.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgs.so.8
%attr(755,root,root) %{_libdir}/libijs-*.so
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/*.*
%attr(755,root,root) %{_libdir}/%{name}/*.*/*.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lib
%{_datadir}/%{name}/lib/*.*
%dir %{_datadir}/%{name}/%{version}
%dir %{_datadir}/%{name}/%{version}/lib
# "*.*" will not match "Fontmap". It is OK.
%{_datadir}/%{name}/%{version}/lib/*.*
%{_datadir}/%{name}/%{version}/lib/pphs
%{_datadir}/%{name}/%{version}/Resource
%{_datadir}/%{name}/%{version}/examples
%{_mandir}/man*/*
%lang(cs) %{_mandir}/cs/man*/*
%lang(de) %{_mandir}/de/man*/*
%lang(es) %{_mandir}/es/man*/*
%lang(fr) %{_mandir}/fr/man*/*
%lang(pl) %{_mandir}/pl/man*/*

%files cups
%defattr(644,root,root,755)
/etc/cups/*
%attr(755,root,root) %{_ulibdir}/cups/filter/pstopxl
%attr(755,root,root) %{_ulibdir}/cups/filter/pstoraster
%{_datadir}/cups/model/pxlcolor.ppd
%{_datadir}/cups/model/pxlmono.ppd

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsx
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgs.so
%{_includedir}/ghostscript
%{_includedir}/ps

%files ijs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ijs-config
%attr(755,root,root) %{_libdir}/libijs.so
%{_includedir}/ijs
%{_libdir}/libijs.la
%{_pkgconfigdir}/*.pc

%files ijs-static
%defattr(644,root,root,755)
%{_libdir}/libijs.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghostscript.spec,v $
Revision 1.184  2010/04/22 00:42:18  charles
- fixed %files

Revision 1.183  2010/04/20 19:51:12  charles
- updated to 8.71

Revision 1.182  2009/09/06 15:45:50  arekm
- up to 8.70

Revision 1.181  2009/04/15 12:51:39  blues
- one more security blocker: CVE-2009-0196

Revision 1.180  2009/04/06 11:57:19  blues
- one more security blocker added

Revision 1.179  2009/03/30 20:51:20  qboosh
- pl for -cups

Revision 1.178  2009/03/23 10:35:45  blues
- security blocker (CVE-2009-0583, CVE-2009-0584)

Revision 1.177  2009/02/28 13:43:01  adamg
- updated to 8.64; cups subpkg

Revision 1.176  2008/08/05 13:44:13  adamg
- updated to 8.63

Revision 1.175  2008-03-14 20:47:34  adamg
- updated to 8.62

Revision 1.174  2008-02-07 13:42:37  megabajt
- added some headers to devel subpackage; needed to build libspectre
- release 2

Revision 1.173  2008-01-17 17:19:13  arekm
- up to 8.61

Revision 1.172  2008-01-12 15:36:00  qboosh
- noted djvu driver to add

Revision 1.171  2007/08/25 14:46:08  qboosh
- tab

Revision 1.170  2007/08/08 12:13:41  patrys
- package _libdir/ghostscript

Revision 1.169  2007/08/06 19:36:03  arekm
- rel 1

Revision 1.168  2007/08/03 19:55:53  arekm
- started work on 8.60 (obsoletes ghostscript ESP)

Revision 1.167  2007/07/05 21:54:27  qboosh
- updated to 8.57
- modified libjpeg sources already included in main source

Revision 1.166  2007/05/01 16:06:56  arekm
- rel 2

Revision 1.165  2007/04/17 06:49:26  tommat
- up to 8.56
- use internal modified jasper source

Revision 1.164  2007/02/24 22:02:06  arekm
- rel 3; rebuild with new jasper

Revision 1.163  2007/02/18 10:28:57  gotar
- ghostscript-gtk O: ghostscript-gpl-gtk

Revision 1.162  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.161  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.160  2007/01/25 21:47:45  arekm
- rel 2; fix man symlinks

Revision 1.159  2007/01/25 21:40:07  arekm
- rel 1

Revision 1.158  2006/12/16 19:22:11  shadzik
- rel 0.3

Revision 1.157  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.156  2006/08/10 18:56:58  havner
- cleanups, this package still needs some work/cleanups

Revision 1.155  2006/08/10 18:45:02  havner
- proper bcond desc

Revision 1.154  2006/08/10 18:43:31  havner
- 8.54 by Szymon Siwek < sls at poczta dot wp dot pl>

Revision 1.157  2005/12/04 22:34:26  glen
- adapterized (sorted verify flags)

Revision 1.156  2005/10/29 19:06:27  qboosh
- there is no epoch here, so don't use it
  and epoch would make versioned virtual ghostscript provides almost useless

Revision 1.155  2005/10/26 18:58:50  djurban
- updated to 8.53

Revision 1.154  2005/09/28 18:04:07  djurban
- clean up provides and make them strict too

Revision 1.153  2005/09/28 12:24:35  djurban
- forgot to commit this damn thing, basically its a finished update for ghostscript afpl 8.51
  not sure that the construction:
  Provides: ghostscript
  Obsoletes: ghostscript
  will function properly if you have ghostscript-gpl installed... need to test it

Revision 1.152  2005/07/21 20:41:11  djurban
- rel. 2 works with new am patch + include headers for ghostscript library

Revision 1.151  2005/07/20 21:22:08  qboosh
- cdj850 comment

Revision 1.150  2005/07/20 14:24:28  djurban
- fontdir broken somehow 0.1 for now, will fix later

Revision 1.149  2005/07/19 21:21:13  djurban
- += buildrequires jasper-devel

Revision 1.148  2005/07/19 21:15:47  djurban
- updated to version 8.51, inclues the libgs.so and works, rel. 1
- added bcond without gtk for gsx, patches -ijs_cflags and -gevcd8-fixes.patch
  no longer necessary, second patche's device no longer existant
- added fontdir configure option and links with system jasper
- will add link to dynamic jbig2dec ocne someone makes it dynamic in the spec

Revision 1.147  2005/06/08 18:37:37  twittner
- ghostscript-esp.spec and ghostscript.spec obsolete each other

Revision 1.146  2005/04/18 20:35:03  mmazur
- rel 0.2; fixed building on amd64

Revision 1.145  2004/12/25 23:32:08  arekm
- fix resouce path, TODO list added

Revision 1.144  2004/12/25 23:18:20  qboosh
- unified

Revision 1.143  2004/12/25 21:56:00  arekm
- started work on AFPL 8.50

Revision 1.142  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.141  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.140  2004/05/16 01:17:44  arekm
- rel 1

Revision 1.139  2004/03/18 18:37:12  grzegol
- added epoch to cups requires

Revision 1.138  2004/03/16 12:29:49  serek
- more BR.

Revision 1.137  2003/12/09 01:03:54  wrobell
- kill gimp print support /following wiget's advice/

Revision 1.136  2003/12/08 07:02:51  qboosh
- added forgotten BR: pkgconfig

Revision 1.135  2003/12/08 01:59:36  wrobell
- typo

Revision 1.134  2003/12/07 22:04:09  wrobell
- enable building with glib 2.x by default
- s/gtk+2/glib/
- bcond is not necessary, imho
- rel. 0.7

Revision 1.133  2003/12/07 20:15:00  yoshi
- Br: /usr/bin/texi2html -> Br: tetex (poldek --shcmd="search -f usr/bin/texi2html")

Revision 1.132  2003/12/07 17:51:42  wrobell
- rel. 0.6

Revision 1.131  2003/11/22 00:17:01  saq
- new bcond --with gtk2 (seems to work, but some omni user should check it)
- poldek -e glib on my system :-)

Revision 1.130  2003/10/14 21:06:33  arekm
- updated to final 7.07.1

Revision 1.129  2003/10/04 13:55:54  gotar
- unified bconds

Revision 1.128  2003/09/14 16:50:22  arekm
- updated to rc2

Revision 1.127  2003/08/31 17:38:23  mmazur
- rel 0.rc1.4 for ac

Revision 1.126  2003/08/30 14:03:48  wiget
- new bconds style
- rename gimp bcond to gimpprint and make it disabled by default
- release 0.rc1.3

Revision 1.125  2003/08/27 00:16:32  gotar
- fixed changelog trailer

Revision 1.124  2003/08/25 19:54:58  arekm
- revert, doesn't compile with latest libgimp

Revision 1.123  2003/08/25 19:44:24  arekm
- gimp-print new series

Revision 1.122  2003/08/25 19:41:52  arekm
- rel up

Revision 1.121  2003/08/15 23:15:55  qboosh
- standard ver/rel scheme for rc (version 7.07.1 release 0.rc1.1)
- cleanups

Revision 1.120  2003/08/14 05:54:51  trojan
- md5sum back

Revision 1.119  2003/08/13 23:57:33  serek
- upgrade.

Revision 1.118  2003/07/14 21:45:55  mmazur
- glib is needed for omni support

Revision 1.117  2003/07/09 22:39:40  qboosh
- replaced quick cdj670-fix patch by much larger gdevcd8-fixes one
  (fixes one more buggy PCL condition and avoids printing K using only C+M+Y)
- fixed ijs_cflags patch (-fPIC for shared library on all archs)

Revision 1.116  2003/07/02 21:45:17  qboosh
- added cdj670-fix patch - now it's at least possible to print using this driver
  on DJ690C - but it's still broken, it uses colour ink for black text :/

Revision 1.115  2003/06/29 22:00:09  mmazur
- ijs now get cflags from rpm.. and that made it possible to build on alpha

Revision 1.114  2003/06/28 21:21:36  gotar
- removed obsoleted macro pcl3_ver

Revision 1.113  2003/06/13 13:35:02  wiget
- release 3 (for rebuild)

Revision 1.112  2003/06/02 17:53:55  wrobell
- rel. 2

Revision 1.111  2003/06/02 14:19:53  wrobell
- default paper size should be A4 /nfy/

Revision 1.110  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.109  2003/05/25 05:47:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.108  2003/05/15 10:52:13  wiget
- use standard sf.net download

Revision 1.107  2003/02/28 10:07:55  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.106  2003/02/20 22:46:37  qboosh
- added _without_cups, made _with_svgalib work again

Revision 1.105  2003/02/15 08:34:40  trojan
- updated to 7.05.6

Revision 1.104  2003/01/26 22:45:36  wrobell
- rel. to build with openssl 0.9.7 on nest builders

Revision 1.103  2003/01/10 13:28:29  trojan
- added cond _without_gimp

Revision 1.102  2002/12/31 10:51:08  gotar
- fixed ijs-static description,
- cut off Vendor, cosmetics.

Revision 1.101  2002/12/10 18:38:54  wiget
- no gsx => no BR gtk+-devel

Revision 1.100  2002/12/10 11:56:16  qboosh
- pl description for cups-filter-pstoraster

Revision 1.99  2002/12/10 11:22:10  wiget
- more BRs

Revision 1.98  2002/12/10 11:18:03  wiget
- added cups-filter-pstoraster subpackage
- disable building libgs.so (broken)
- gsx not found :(
Now package are buildable and working.

Revision 1.97  2002/11/28 14:18:37  wiget
next part of update to ESPGS:
- pdf_sec.ps are included in GNU GS 6.51 and later
- GS-7,05-MissingDrivers included in ESPGS 7.05.4 and later
- pcl3 included in ESPGS 7.05.4 and later
- don't use find_devs.sh, --with-drivers=ALL are sufficient (if no new drivers added by patches)

Doesn't compile yet.

Revision 1.96  2002/11/26 08:36:51  ankry
- fixed Source numbering, version #define, avoid fifos for move efective
  error detection (still NFY - does not build)

Revision 1.95  2002/11/18 10:36:47  qboosh
- no pcl3 as .tar.bz2, .tar.gz only

Revision 1.94  2002/11/07 18:11:26  misiek
- started switch to ESP ghostscript version

Revision 1.93  2002/10/07 11:26:39  qboosh
- BR: autoconf

Revision 1.92  2002/08/16 16:34:35  qboosh
- svgalib is only for x86 and alpha (and ppc???)

Revision 1.91  2002/06/10 21:18:06  qboosh
- fixed missquotes patch (wrong mktemp usage in ps2epsi)
- removed "libpng 1.2.2 support"
- release 2

Revision 1.90  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.89  2002/05/19 22:15:11  kloczek
- release 1.

Revision 1.88  2002/05/06 20:17:20  qboosh
- updated config patch
- libpng 1.2.2 support

Revision 1.87  2002/04/25 16:23:14  arturs
fixed a small typo

Revision 1.86  2002/04/24 09:20:53  wiget
start upgrading to GNU Ghostscript 7.05

Revision 1.85  2002/04/16 19:25:27  gotar
- fixed mistake in polish description.

Revision 1.84  2002/04/16 17:34:03  qboosh
- pl fix

Revision 1.83  2002/04/15 23:40:34  gotar
- complemented polish summary,
- fixed typo in description.

Revision 1.82  2002/04/06 12:04:33  qboosh
- build with shared library
- release 1.5, STBR-test

Revision 1.81  2002/03/29 23:12:09  qboosh
- updated missquotes patch (only one file was fixed in 7.04)
- fixed Group and added pl translation to ijs-*
- release 1.3

Revision 1.80  2002/03/22 15:20:44  wiget
- remove gimp-print dependency and gimp-print driver
- build and install ijs library (as subpackage)
- release 1.2

Revision 1.79  2002/03/20 23:17:54  kloczek
- reelase 1.

Revision 1.78  2002/03/14 11:40:34  wrobell
- will compile, when find_devs madness is resolved
- nfy

Revision 1.77  2002/03/12 14:09:41  wiget
start update to 7.04

Revision 1.76  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.75  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.74  2002/02/13 22:13:10  qboosh
- simplified prep

Revision 1.73  2002/02/06 16:44:45  wiget
-updated gimp-print driver to 4.2.0
- BuildRequire gimp-print-devel
- Release 3

Revision 1.72  2002/01/24 00:12:59  ankry
- added man-pages tar URL

Revision 1.71  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.70  2001/11/15 23:24:52  ankry
- added cs,es,fr,pl man pages
- release 2

Revision 1.69  2001/11/14 18:31:17  blues
- s/Copyright/License/

Revision 1.68  2001/10/29 00:46:33  saq
- up to 7.03
- removed hpijs patch (already in source0)
- STB

Revision 1.67  2001/08/10 21:45:05  blues
- configure2_13

Revision 1.66  2001/07/13 10:23:25  mguevara
- release 4
- removes hpijs server/driver from the main package (now
  in the separate hpijs package)
- added ghostscript-hpijs-0.97.patch which activates
  HP drivers and updates related ghostscript 7.0 files
  to versions from HP's hpijs0.97
- legal stuff: HP's part of ghostscript (gdevhpij.c
  and gdevhpij.h files) is LGPL

Revision 1.65  2001/06/09 15:23:57  blues
- release 3
- gimp-print-4.1.9

Revision 1.64  2001/05/22 09:06:20  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.63  2001/05/09 11:02:48  blues
- release 2

Revision 1.62  2001/05/09 10:56:31  blues
- specs updated

Revision 1.61  2001/05/08 16:29:21  wiget
release 1

Revision 1.60  2001/05/08 16:26:49  wiget
gimp-print 4.1.6

Revision 1.59  2001/04/16 00:45:53  qboosh
- updated config and missquote patches
- added omni to blacklist (no source)
- commented out nosafer patch - seems to be obsoleted
- Type1 fonts are in /usr/share/fonts/Type1
- BuildRequires: libstdc++-devel (because of hpijs), removed implied BRs

Revision 1.58  2001/04/09 11:38:27  wiget
first step to new version of ghostscript
- changed Version to 7.00
- gimp-print 4.1.5

Revision 1.57  2001/03/28 13:41:57  mguevara
- new version of hpijs (0.94) drivers
- some documentation fixes

Revision 1.56  2001/03/28 12:01:51  mguevara
- added url to hpijs drivers
- release 6

Revision 1.55  2001/03/28 07:39:20  mguevara
- addded support for HP inkjet printers for ghostscript by HP
- licensing: ghostscript glue part is LGPL,*HP drivers*
  are under BSD type of license restricted to HP only
  devices (they are working on BSD lic without such
  restriction, but as today this restriction exsists)
- I dont know any arch dependencies - does it compile on
  alpha or sparc? If not some "ifarch" should be added
- tested on i686 machine - works ok, spec needs some more
  small cosmetic work - add url, licensing info etc.

Revision 1.54  2001/02/20 23:42:00  kloczek
- release 5.

Revision 1.53  2001/02/20 23:22:56  qboosh
- re-fixed _with_svgalib usage

Revision 1.52  2001/02/20 12:43:25  wiget
fix usage of _with_svgalib, add gimp-print (stp) driver support, release 4, STB

Revision 1.51  2001/02/19 23:05:02  qboosh
- added lvga256 to --with svgalib version

Revision 1.50  2001/01/25 20:03:23  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.49  2001/01/25 17:37:25  wiget
integrate some patches from Debian Sid, release 3

Revision 1.48  2001/01/09 17:47:19  qboosh
- fix previous "fixes"
- don't buildrequire svgalib on alpha (as libvga support isn't enabled)

Revision 1.47  2001/01/08 09:49:22  kloczek
- release 2.

Revision 1.46  2001/01/06 21:59:44  qboosh
- s/svgalib/_with_svgalib/ with fixes

Revision 1.45  2001/01/03 23:43:09  kloczek
- use roff include instead symlinks in gsbj(1), gsdj(1), gsdj500(1),
  gslj(1) man pages.

Revision 1.44  2001/01/03 19:30:36  wrobell
- up to 6.50

Revision 1.43  2000/12/23 00:48:44  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.42  2000/09/28 20:37:06  zagrodzki
- typo

Revision 1.41  2000/09/28 19:54:44  kloczek
- make spec %%{debug} redy,
- use rpm new automation suit.

Revision 1.40  2000/09/28 19:29:16  zagrodzki
- added alpha to no-libvga-list

Revision 1.39  2000/09/28 19:18:44  zagrodzki
- added conditional libvga support

Revision 1.38  2000/08/26 23:03:56  klakier
- release 2 (for 6.23): patch changed back according to PLD-doc/font-style.txt
  (Type1 -> type1)

Revision 1.37  2000/08/11 07:04:40  mguevara
- updated to version 6.23

Revision 1.36  2000/08/10 07:33:32  mguevara
- added cdj880 driver v1.31 by Matthew J. Gelhaus
- support for hp dekjets 880C, 882C, 895C and more
- please check is Uli Wortman's 850C driver still works with this patch
- commented out cdj880 from blacklist in .sh script (now it is in *.c :)

Revision 1.35  2000/08/03 23:04:21  kloczek
- adapterized.

Revision 1.34  2000/08/03 22:35:48  mkochano
- Updated to current CVS version. This solves bug causing problems with
  ghostview.

Revision 1.33  2000/08/01 20:16:27  mkochano
- Automated finding of inactive drivers. Now it (hopefully) will not require
  manual updates of makefile in order to activate drivers.
- Release 5.

Revision 1.32  2000/07/30 05:00:14  kloczek
- spec adapterized.

Revision 1.31  2000/07/28 13:57:10  zagrodzki
- release 4, built against libpng >= 1.0.8

Revision 1.30  2000/07/27 13:16:36  kloczek
- release 3,
- remove devicelist patch and pass list all additional devices as make
  parametrs,
- disable vgalib device on sparc/sparc64 (on this arch libsvga is not
  avalaible).

Revision 1.29  2000/07/25 21:30:33  mkochano
- devicelist patch is back.
- Added hpdj driver from previous version.
- Release 2.

Revision 1.28  2000/07/25 05:05:04  kloczek
- updated to 6.22,
- removed outdated deviceslist patch.

Revision 1.27  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.26  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/08 20:12:44  klakier
- release 2: config.patch changed (type1 -> Type1)

Revision 1.24  2000/05/18 23:29:23  kloczek
- spec adapterized.

Revision 1.23  2000/05/04 07:59:16  kloczek
- updated to 6.21.

Revision 1.22  2000/04/14 18:14:22  mkochano
- Compiled support for more devices (declj250 dnj650c lj4dith escp djet500c
  coslw2p coslwxl cp50 epson eps9mid eps9high ibmpro epsonc ap3250 st800
  stcolor cdj850 cdj670 cdj890 cdj1600 lj250 paintjet pjetxl hl7x0 imagen
  jetp3852 lbp8 lips3 lp8000 m8510 necp6 lq850 lxm5700m oki182 okiibm r4081
  sj48 t4693d2 t4693d4 t4693d8 tek4696 dfaxlow dfaxhigh cif inferno mgrmono
  mgrgray2 mgrgray4 mgrgray8 mgr4 mgr8 sgirgb sunhmono).
- Release++;

Revision 1.21  2000/04/12 13:52:23  kloczek
- added ja translation.

Revision 1.20  2000/04/12 13:48:42  kloczek
- cosmetics.

Revision 1.19  2000/04/11 10:25:31  misiek
- partially updated to 6.20

Revision 1.16  2000/02/07 18:24:27  baggins
- release 6
- gzipped %doc and man pages

Revision 1.15  2000/01/19 12:46:04  kloczek
- more %%{version} removed from %files.

Revision 1.14  2000/01/19 12:09:22  kloczek
- release 5,
- build agains shared libjpeg,
- changed configuration: use %%{_datadir}/%%{name}/ instead
  %%{_datadir}/%%{name}/%%{version}.

Revision 1.13  1999/07/26 12:39:37  misiek
- encrypted pdfs support
